> ## Documentation Index
> Fetch the complete documentation index at: https://developer.payrollintegrations.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Payroll Record

> Retrieves specific payroll data from a payroll record



## OpenAPI

````yaml GET /v1/payroll-connections/{payroll_connection}/payroll-records/{payroll_record}
openapi: 3.1.0
info:
  title: Payroll Integrations Public API
  description: Public API for Payroll Integrations platform
  version: '2025-10-28T20:05:03Z'
  license:
    name: MIT
servers:
  - url: https://api.payrollintegrationsapp.com
    description: Prod environment
  - url: https://demo1-api.payrollintegrationsdemo.com
    description: Demo environment
  - url: https://demo2-api.payrollintegrationsdemo.com
    description: Demo environment
  - url: https://demo3-api.payrollintegrationsdemo.com
    description: Demo environment
security:
  - bearerAuth: []
paths:
  /v1/payroll-connections/{payroll_connection}/payroll-records/{payroll_record}:
    get:
      tags:
        - Payroll Connections
      summary: Get payroll data
      description: Retrieves specific payroll data from a payroll record
      operationId: getPayrollData
      parameters:
        - name: payroll_connection
          in: path
          required: true
          schema:
            type: string
            format: uuid
        - name: payroll_record
          in: path
          required: true
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: Payroll details
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetPayrollRecordResponse'
              example:
                id: ee0e8400-e29b-41d4-a716-446655440009
                payrollConnectionId: 880e8400-e29b-41d4-a716-446655440003
                checkDate: '2024-01-31'
                payPeriodStartDate: '2024-01-16'
                payPeriodEndDate: '2024-01-31'
        '401':
          description: Unauthorized - Invalid or missing authentication credentials
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '404':
          description: Not Found - Payroll connection or record does not exist
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    GetPayrollRecordResponse:
      type: object
      required:
        - id
        - payrollConnectionId
        - checkDate
        - payPeriodStartDate
        - payPeriodEndDate
      properties:
        id:
          type: string
          format: uuid
        payrollConnectionId:
          type: string
          format: uuid
        checkDate:
          type: string
          format: date
          description: >-
            The date on which the check was paid out to the employee
            (YYYY-MM-DD)
        payPeriodStartDate:
          type: string
          format: date
          description: The date on which the payroll period began (YYYY-MM-DD)
        payPeriodEndDate:
          type: string
          format: date
          description: The date on which the payroll period ended (YYYY-MM-DD)
    Error:
      type: object
      required:
        - message
      properties:
        message:
          type: string
          description: Error message describing what went wrong
        errors:
          type: array
          description: Optional array of detailed error messages
          items:
            type: string

````